org.modeshape.jcr.query.process

## Class IntersectComponent

- java.lang.Object
- - org.modeshape.jcr.query.process.ProcessingComponent
  - - org.modeshape.jcr.query.process.SetOperationComponent
    - - org.modeshape.jcr.query.process.IntersectComponent

-     public class IntersectComponent
      extends SetOperationComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `ProcessingComponent.DynamicOperation`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.process.SetOperationComponent

      `removeDuplicatesComparator, sourceReformatters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntersectComponent(QueryContext context, QueryResults.Columns columns, Iterable<ProcessingComponent> sources, boolean alreadySorted, boolean all)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object[]>` | `execute()` Execute this stage of processing and return the resulting tuples that each conform to the `columns`.

    - ### Methods inherited from class org.modeshape.jcr.query.process.SetOperationComponent

      `getColumns, removeDuplicatesIfRequested, sources, unionCompatible, wrapWithLocationOrdering`

    - ### Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `close, createDynamicOperation, createSortComparator, emptyTuples, getContext, getLocationIndexes, problems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntersectComponent

          public IntersectComponent(QueryContext context,
                            QueryResults.Columns columns,
                            Iterable<ProcessingComponent> sources,
                            boolean alreadySorted,
                            boolean all)

  - ### Method Detail

    - #### execute

          public List<Object[]> execute()

      Description copied from class: `ProcessingComponent`
      Execute this stage of processing and return the resulting tuples that each conform to the `columns`.
      Specified by:
        `execute` in class `ProcessingComponent`
      Returns:
        the list of tuples, where each tuple corresonds to the `columns`; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.